Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5HasAttribute

Check whether an attribute exists

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasAttribute(PetscViewer viewer, const char parent[], const char name[], PetscBool *has)

Collective

## Input Parameters

- viewer - The `PETSCVIEWERHDF5` viewer

- parent - The parent dataset/group name

- name - The attribute name

## Output Parameter

- has - Flag for attribute existence

## Note

If parent starts with ‘/’, it is taken as an absolute path overriding currently pushed group, else parent is relative to the current pushed group. `NULL` means the current pushed group.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerHDF5HasObjectAttribute()`, `PetscViewerHDF5WriteAttribute()`, `PetscViewerHDF5ReadAttribute()`, `PetscViewerHDF5PushGroup()`, `PetscViewerHDF5PopGroup()`, `PetscViewerHDF5GetGroup()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

## Implementations

PetscViewerHDF5HasAttribute_Internal() in src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages